<script
			  src="https://code.jquery.com/jquery-3.6.0.min.js"
			  integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
			  crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
<script src="https://unpkg.com/@tabler/core@latest/dist/js/tabler.min.js"></script>

<!-- --------------------  -->
<!-- Date and Time Picker -->

<script src="https://cdn.jsdelivr.net/npm/litepicker/dist/bundle.js"></script>

<script> 
    // @formatter:off
    document.querySelectorAll('.date').forEach(item => {
    document.addEventListener("DOMContentLoaded", function () {
      window.Litepicker && (new Litepicker({
        element: item,
        buttonText: {
          previousMonth: `<!-- Download SVG icon from http://tabler-icons.io/i/chevron-left -->
    <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><polyline points="15 6 9 12 15 18" /></svg>`,
          nextMonth: `<!-- Download SVG icon from http://tabler-icons.io/i/chevron-right -->
    <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><polyline points="9 6 15 12 9 18" /></svg>`,
        },
      }));
    });
  })
    // @formatter:on
  </script>

<!-- End of Date and Time picker (Litepicker) scripts -->
<!-- -------------------- -->


<!-- --------------------  -->
<!-- Select menus from tom select -->

<script src="https://cdn.jsdelivr.net/npm/tom-select@2.0.1/dist/js/tom-select.complete.min.js"></script>

<script type="text/javascript">
    // @formatter:off
	//document.querySelectorAll('[id^="selectbox"]').forEach(item => {
	//	new TomSelect(item, { allowEmptyOption: true, valueField: 'id', labelField: "description"})
  //  })
	
    // @formatter:on
</script>

<!-- End of Select menus from tom select -->
<!-- --------------------  -->

{% load static %}
<script src="{% static 'sas/tom-select.complete.js' %}">